﻿using System.Windows;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Wpf;

namespace GoogleMapsDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void map_Loaded(object sender, RoutedEventArgs e)
        {
            map.MapUnit = GeographyUnit.Meter;

            LayerOverlay layerOverlay = new LayerOverlay();
            layerOverlay.TileType = TileType.SingleTile;
            //Client ID begins with a gme- prefix. For example:"gme-***********".
            //Private key is a unique digital. The signature is generated using your private cryptographic key.
            GoogleMapsLayer googleMapsLayer = new GoogleMapsLayer("TileCache", "gme-***********", "-J4yzyRJpePgq9HwRM5ldXyDM04=");
            layerOverlay.Layers.Add(googleMapsLayer);
            map.Overlays.Add(layerOverlay);

            map.CurrentExtent = new RectangleShape(-13086298.60, 7339062.72, -8111177.75, 2853137.62);
            map.Refresh();
        }
    }
}
